export class MerkleTreeLeafNode {
    /**
    * @param {Item} target
    * @param {number} offset
    * @param {string} hash
    */
    constructor(target: Item, offset: number, hash: string);
    /**
     * @type {Item}
     */
    target: Item;
    /**
     * @type {number}
     */
    offset: number;
    /**
     * @type {string}
     */
    hash: string;
    /**
     * @type {MerkleTreeHashNode | MerkleTreeLeafNode | null | undefined}
     */
    parent: MerkleTreeHashNode | MerkleTreeLeafNode | null | undefined;
}
import { Item } from "../../structs/Item";
import { MerkleTreeHashNode } from "./HashNode";
